# Copyright (c) 2002-2004 Norikatsu Shigemura
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the distribution.
#
# THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
# ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
# FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
# OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
# OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
# SUCH DAMAGE.
#
# $Id: Makefile.inc,v 1.8 2004/10/17 03:45:48 nork Exp $

compat_glibc/linux_dynamic.o:	compat_glibc/linux_dynamic.c
	${CC} ${CFLAGS} -c -o $@ $<

compat_glibc/linux_envion.o:	compat_glibc/linux_envion.c
	${CC} ${CFLAGS} -c -o $@ $<

compat_glibc/linux_errno.o:	compat_glibc/linux_errno.c
	${CC} ${CFLAGS} -c -o $@ $<

compat_glibc/linux_locale.o:	compat_glibc/linux_locale.c
	${CC} ${CFLAGS} -c -o $@ $<

compat_glibc/linux_misc.o:	compat_glibc/linux_misc.c
	${CC} ${CFLAGS} -c -o $@ $<

compat_glibc/linux_pthread.o:	compat_glibc/linux_pthread.c
	${CC} ${CFLAGS} -c -o $@ $<

compat_glibc/linux_stdio.o:	compat_glibc/linux_stdio.c
	${CC} ${CFLAGS} -c -o $@ $<

compat_glibc/linux_string.o:	compat_glibc/linux_string.c
	${CC} ${CFLAGS} -c -o $@ $<

clean::
	@${RM} -f	compat_glibc/linux_dynamic.o	\
			compat_glibc/linux_envion.o	\
			compat_glibc/linux_errno.o	\
			compat_glibc/linux_locale.o	\
			compat_glibc/linux_misc.o	\
			compat_glibc/linux_pthread.o	\
			compat_glibc/linux_stdio.o	\
			compat_glibc/linux_string.o
