# Copyright (c) 2002-2004 Norikatsu Shigemura
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the distribution.
#
# THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
# ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
# FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
# OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
# OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
# SUCH DAMAGE.
#
# $Id: Makefile.inc,v 1.8 2004/10/17 03:46:32 nork Exp $

compat_linux/linux_file.o:	compat_linux/linux_file.c
	${CC} ${CFLAGS} -c -o $@ $<

compat_linux/linux_ioctl.o:	compat_linux/linux_ioctl.c
	${CC} ${CFLAGS} -c -o $@ $<

compat_linux/linux_ipc.o:	compat_linux/linux_ipc.c
	${CC} ${CFLAGS} -c -o $@ $<

compat_linux/linux_misc.o:	compat_linux/linux_misc.c
	${CC} ${CFLAGS} -c -o $@ $<

compat_linux/linux_sigaction.o:	compat_linux/linux_sigaction.c
	${CC} ${CFLAGS} -c -o $@ $<

compat_linux/linux_signal.o:	compat_linux/linux_signal.c
	${CC} ${CFLAGS} -c -o $@ $<

compat_linux/linux_socket.o:	compat_linux/linux_socket.c
	${CC} ${CFLAGS} -c -o $@ $<

compat_linux/linux_stat.o:	compat_linux/linux_stat.c
	${CC} ${CFLAGS} -c -o $@ $<

clean::
	@${RM} -f	compat_linux/linux_file.o	\
			compat_linux/linux_ioctl.o	\
			compat_linux/linux_ipc.o	\
			compat_linux/linux_misc.o	\
			compat_linux/linux_sigaction.o	\
			compat_linux/linux_signal.o	\
			compat_linux/linux_socket.o	\
			compat_linux/linux_stat.o
